{% extends "index.html" %}
{% load crispy_forms_filters %}
{% load static %}

{% block content %}
    <div>
        <table class="table table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Avatar</th>
                <th scope="col">First name</th>
                <th scope="col">Last name</th>
                <th scope="col">Email</th>
                <th scope="col">Birth date</th>
                <th scope="col">Experience</th>
                <th scope="col">International certificates</th>
                <th scope="col">Availability per week</th>
                <th scope="col">Groups</th>
            </tr>
            </thead>
            <tbody>
            {% for teacher in teachers %}
                <tr>
                    <td>
                        {% if teacher.avatar %}
                            <img src="{{ teacher.avatar.url }}" alt="Avatar" width="30" height="30">
                        {% else %}
                            <img alt="Default avatar" src="{% static "img/default_avatar.png" %}" width="30" height="30">
                        {% endif %}
                    </td>
                    <td>{{ teacher.first_name }}</td>
                    <td>{{ teacher.last_name }}</td>
                    <td>{{ teacher.email }}</td>
                    {% if teacher.birth_date %}
                        <td>{{ teacher.birth_date }}</td>
                    {% else %}
                        <td>Invalid birth date</td>
                    {% endif %}
                    <td>{{ teacher.experience }}</td>
                    <td>{{ teacher.international_certificates }}</td>
                    <td>{{ teacher.availability_per_week }}</td>
                    <td>
                        <ul>
                            {% for group in teacher.groups.all %}
                                <li><a href="{% url 'groups:group_detail' group.pk %}">{{ group.group_name }}</a></li>
                            {% empty %}
                                <li>No groups found</li>
                            {% endfor %}
                        </ul>
                    </td>
                    <th>
                        <a type="button" class="btn btn-warning" href="{% url "teachers:update_teacher" teacher.pk %}">Edit</a>
                    </th>
                    <th>
                        <a type="button" class="btn btn-danger" href="{% url "teachers:delete_teacher" teacher.pk %}">Delete</a>
                    </th>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}


{% block header %}
<a class="nav-link" href="{% url 'teachers:create_teacher' %}">Add new teacher</a>
{% endblock header %}
